.step10
    YuriHeader(
        title="Test de conveniencia"
        tag="Quiero invertir"
    )

    div(v-if="loading")
        Spinner(text="Cargando test de conveniencia")
    div(v-else)
        b-row(class="justify-content-center")
            b-col(cols="12" lg="9")

                //- Preguntas sección 1
                .l-subtitle {{ $t(`convenience.SECTION_1`) }}
                div.mb-5(v-for="(item, index) in getQuestions(1)" :key="`section_1_${index}`")
                    .my-3 {{ $t(`convenience.${item.question_key}`) }}
                    div(v-if="item.field_type === 'check'")
                        div.px-3(v-for="(answer, indexAnswer) in item.answers")
                            b-form-checkbox.mb-3(
                                @input="setAnswer(item, answer, $event, true)"
                                ) {{ $t(`convenience.${item.question_key}_${answer}`) }}
                    div(v-if="item.field_type === 'radio'")
                        div.px-3(v-for="(answer, indexAnswer) in item.answers")
                            b-form-radio.mb-3(
                                :name="`radios__1__${index}`"
                                @input="setAnswer(item, answer, $event, false)"
                                ) {{ $t(`convenience.${item.question_key}_${answer}`) }}

                //- Preguntas sección 2
                .l-subtitle {{ $t(`convenience.SECTION_2`) }}
                div.mb-5(v-for="(item, index) in getQuestions(2)" :key="`section_2_${index}`")
                    .my-3 {{ $t(`convenience.${item.question_key}`) }}
                    div.px-3(v-for="(answer, indexAnswer) in item.answers")
                        b-form-radio.mb-3(
                            :name="`radios__${index}`"
                            @input="setAnswer(item, answer, $event, false)"
                            ) {{ $t(`convenience.${item.question_key}_${answer}`) }}

                //- Preguntas sección 3
                .l-subtitle {{ $t(`convenience.SECTION_3`) }}
                div(v-for="(item, index) in getQuestions(3)" :key="`section_3_${index}`")
                    .my-3 {{ $t(`convenience.${item.question_key}`) }}
                    div.px-3(v-for="(answer, indexAnswer) in item.answers")
                        b-form-radio.mb-3(
                            :name="`radios__3__${index}`"
                            @input="setAnswer(item, answer, $event, false)"
                            ) {{ $t(`convenience.${item.question_key}_${answer}`) }}

                .d-flex.justify-content-end.mt-3.mt-md-4
                    span(
                        class="e-btn e-btn__brand"
                        @click="handleNext()"
                    ) Continuar